Software Requirements

Nessus supports Mac, Linux, and Windows operating systems.

Nessus Scanner, Nessus Manager, and Nessus Professional

See the following table to understand the software requirements for Nessus scanners, Nessus Professional, and Nessus Manager.

Operating System

Supported Versions

32-bit Linux
  • Debian 7, 8, and 9 / Kali Linux 1, 2017.1, and Rolling
  • Red Hat ES 6, CentOS 6, Oracle Linux 6 (including Unbreakable Enterprise Kernel)
  • SUSE Enterprise 11 SP4, SUSE Enterprise 12
  • Ubuntu 12.04, 12.10, 13.04, 13.10, 14.04, 16.04, and 18.04

64-bit Linux

  • Amazon Linux 2015.03, Amazon Linux 2015.09, Amazon Linux 2017.09, and Amazon Linux 2018.03
  • Debian 7, 8, and 9 / Kali Linux 1, 2017.1, and Rolling
  • Red Hat ES 6, CentOS 6, Oracle Linux 6 (including Unbreakable Enterprise Kernel)
  • Red Hat ES 7, CentOS 7, Oracle Linux 7 (including Unbreakable Enterprise Kernel)
  • FreeBSD 10, FreeBSD 11
  • Fedora 24, Fedora 25
  • SUSE Enterprise 11 SP4, SUSE Enterprise 12
  • Ubuntu 12.04, 12.10, 13.04, 13.10, 14.04, 16.04, and 18.04
32-bit Windows
  • Windows 7, Windows 8, and Windows 10

64-bit Windows

  • Windows Server 2008, Windows Server 2008 R2, Windows Server 2012, Windows Server 2012 R2, Windows Server 2016
  • Windows 7, Windows 8, and Windows 10

Tip: Windows Server 2008 R2’s bundled version of Microsoft IE does not interface with a Java installation properly. This causes Nessus to not perform as expected in some situations: Microsoft’s policy recommends not using MSIE on server operating systems.

For increased performance and scan reliability when installing on a Windows platform, Tenable highly recommends that Nessus be installed on a server product from the Microsoft Windows family such as Windows Server 2008 R2.

Mac OS X

  • Mac OS X 10.8 - 10.14

Nessus Agents

For Nessus Agent software requirements, see the Agent Software Requirements in the Nessus Agent User Guide.

Supported Web Browsers

Nessus supports the following browsers:

  • Google Chrome (50+)
  • Apple Safari (10+)
  • Mozilla Firefox (50+)
  • Internet Explorer (11+)

PDF Report Requirements

The Nessus .pdf report generation feature requires the latest version of Oracle Java or OpenJDK.

Install Oracle Java or OpenJDK prior to installing Nessus.

Note: If you install Oracle Java or OpenJDK after you install Nessus, you must reinstall Nessus to enable PDF report generation.